SAP ME 15.0 LMAUTO launching failed with message: Invalid number of arguments provided.

Hello,

I'm getting the message "Invalid number of arguments provided." when I'm try to launch the LMAUTO application service.

According to SAP Note 1891353 I've setup JAVA_HOME, LD_LIBRARY_PATH and also downloaded and extracted the sapjco3.jar (Unix x86).

I try to start the service without gui by executing the command "sh lmauto.sh --nogui". The initial password setting has finished successfully, but the launching of the service not.

From the lmauto.log I've getting this error message:
"2015 05 06 14:06:21#+0200#ERROR#com.sap.lm.auto.commands.darkmode.DarkModeExecuter#BC-LJS-DEF#anonymous#Thread-11#na#Invalid number of arguments provided."
but this doesn't help me.

Does anyone have an idea what could be the problem here?

kind regards
Matthias

LMAUTO_01.png (10.2 kB)
Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    Jun 03, 2015 at 11:28 AM

    The issue is solved during not using the --nogui paramter on this unix system.

    Command "sh lmauto.sh" for execution is working fine.

    Strange, because on another Red Hat Linux System this was working fine, but it is okay.

    Thank you for your help.

    kind reagrds

    Matthias

    Add comment
    10|10000 characters needed characters exceeded

  • May 12, 2015 at 03:53 PM

    Hello Matthias,

    This is not really ME issue but rather Lifecycle Management Automation Tool issue. I would recommend to submit a support ticket to BC-LJS-DEF as it's indicated in the error.

    Regards,

    Konstantin

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 12, 2015 at 04:00 PM

    Hello Matthias,

    SAP ME Scripts installation does not support non-GUI mode. So please start LM AUTO in normal (GUI) mode (without "--nogui" argument).

    Thanks,

    Alexander

    Add comment
    10|10000 characters needed characters exceeded

    • Hello Alexander

      the behaviour is the same when I use the standard command. I tried both several times with the same error message.

      By the way: the helptext of this tool is shwoing the "--nogui" parameter and I have used it several times without any problems.

      I think I have to creat a ticket for that, according to the information of Konstantin.

      thank you,

      Matthias

      lmauto--nogui.png (85.6 kB)
Skip to Content